WordPress.org

Support

Support » How-To and Troubleshooting » [Resolved] Upgraded to 3.0 — Observing Weird Problems

[Resolved] Upgraded to 3.0 — Observing Weird Problems

  • Hello:

    I just upgrade my WordPress 2.9.2 installation to 3.0 and am having instant problems. When I go to create a new post or page it brings up a blank screen. Luckily I backed up my database before upgrading. What could the problem be?

    Thanks in advance for your help!

Viewing 15 replies - 1 through 15 (of 30 total)
  • I just reverted back to 2.9.2. I am thinking it’s my host. I should probably switch hosting providers since my host uses somewhat outdated versions of MySQL and PHP.

    Who is your host?

    Earthlink. The problem is it’s so outdated that I can’t even run NextGEN gallery correctly. I am somewhat scared to move to another hosting provider and transferring all of the files. Is it difficult?

    It’s probably not that bad. Just time consuming. I usually zip up my files – download them to my PC – then upload the zipped files and unzip them. Saves a lot of time and energy – but from what you’re saying, I’m not sure that Earthlink would have that capability!

    Good Luck!

    Moderator Andrew Nacin

    @nacin

    Lead Developer

    I have been in touch with Earthlink and have identified the following:

    Earthlink runs PHP 5.0.5, at least for the affected sites and for the testbed they provided me. We have identified a single line of code in WordPress 3.0 that causes a fatal error in PHP 5.0.5 due to a bug that the PHP team fixed in 5.1. It appears this bug also affects PHP 4.4.

    I have committed a change for WordPress 3.0.1, to be released in July, to ensure compatibility. This of course will not fix any issues you may have with a plugin.

    Earthlink has been made aware of the issue and they have begun to and will continue to apply the fix to any reported sites. If you are so inclined, you can apply the fix yourself. For the following options, you’ll need to wait until after the nightly development build for 3.0.1 is refreshed (in the next 24 hours). After upgrading to a build with the fix, you will be running version 3.0.1-alpha-15359 or higher.

    Option 1. Download the WordPress Beta Tester plugin, use the “Point release nightlies” update stream, and upgrade WordPress. This will upgrade you to WordPress 3.0.1-alpha. You can disable the plugin after.

    Option 2. Download the latest build for WordPress 3.0.1: http://wordpress.org/nightly-builds/wordpress-3.0-latest.zip. You may replace all core files (wp-includes and wp-admin) to get all changes made for 3.0.1 so far. Or, to fix this one issue, you may also simply upload wp-admin/includes/post.php from the downloaded package to your server.

    If you are so inclined, I would also contact Earthlink support and suggest you wish to run PHP 5.2 or greater. Hosts generally have a greater vested interest in upgrading their servers when users voice concern. There are also other web hosts out there.

    I would also strongly encourage upgrading to WordPress 3.0.1 when it is released, and always ensure you are using the latest and greatest version of WordPress.

    For reference, this is the Trac ticket I handled this issue in: http://core.trac.wordpress.org/ticket/14160.

    Thanks,
    Nacin

    Thanks, Nacin. I just spoke with an Earthlink support center person by chat and they confirmed that 5.05 is the current version, and while they do plan to upgrade it may be some time before that happens (weeks or months).

    On my site, I installed a fresh WordPress 3.0 against a clean database, installed 3.0.1 using the procedure you recommend, and then still get the white screen on post-new.php. So the fix unfortunately seems not to have worked.

    I will take a look at the diffs between post-new.php on my running server and the fresh install I downloaded, but in the meantime I wonder if you could go into some more detail about the nature of the line of code changed? I’ve looked at http://core.trac.wordpress.org/ticket/14160 but I am a PHP newbie so a deeper conceptual understanding would help.

    I did some tracing of the relevant code earlier (previous to the reinstall, sorry, I don’t think I have that file left around) and got reasonably close to the error you describe.
    Perhaps there’s an alternative formulation that will successfully overcome the bug. I’d like to help … after all, until we fix it or I change servers I can’t post. 🙂

    Moderator Andrew Nacin

    @nacin

    Lead Developer

    As indicated, the 3.0.1 nightly build will not be refreshed until tomorrow. If you are reporting a version of 3.0.1-alpha-15350 instead of 15359, then you do not have the new code yet.

    You can also go to http://core.trac.wordpress.org/browser/branches/3.0/wp-admin/includes/post.php?rev=15359, and download either of the “other versions” listed in the footer, then upload that file.

    The code has to do with taking the return value of a function and passing it directly into another function, by reference. If you don’t understand it, that’s quite alright 🙂

    Having the same issue with 3.0 and Earthlink. I’ve tried nacin’s suggestion above, downloaded 15359 version of post.php, but it doesn’t fix the issue. It seems we’re all having problems with post-new.php not post.php. I’m sure all the files are interconnected, but is there a new version of post-new.php that might fix thing?

    Hi
    Yes….it’s been post-new.php here and I have 2 blogs on different earthlink accounts and both are suffering….affects ability to post, create new pages and use QuickPress.

    I will try this tomorrow

    Nacin,

    Ah, yes – I see your post says that the update hasn’t happened yet; I must have missed that line. And yes, your explanation is quite helpful – while I don’t know the innards of PHP I can easily see that a function returning a value that’s never assigned to a variable might pose a problem for passing by reference as a “transient” reference would have to be created to hold it for the duration of its lifetime. In theory that’s an easy fix but who knows what downstream consequences that would bring. Anyway, thanks! I will try again once the file is refreshed.

    -Anthony

    The nightly build now fixes the problem. Thank you!

    Moderator Andrew Nacin

    @nacin

    Lead Developer

    jdlintz: The problem is not in wp-admin/post-new.php or wp-admin/post.php.

    The problem is in wp-admin/includes/post.php.

    xenotaur, you are quite welcome.

    For reference, the build was refreshed.

    @ Andrew, I am on an Earthlink hosted site and after uploading the latest 3.0.1 build core files I am finding that depending on the custom permalink structure I try to use I still get the “white page of death.” I can use /%pagename%/ and everything works fine. When I try to add a new page or post, but if I use /%postname%/ or /%category%/%pagename%/ I still have the problem. Hope that helps improve things further.

    I upgraded the core files and it appeared to work temporarily. I am not sure why it reverted, but I don’t think the problem is fixed. I’ve been on with Earthlink chat support which is a bit like hitting yourself in the head with a brick. Still looking for a solution at the moment.

    I had this problem back on 2.8.7 and there was a line of code I per the forum added that made the php version number a don’t care. Wish I could find my notes.

Viewing 15 replies - 1 through 15 (of 30 total)
  • The topic ‘[Resolved] Upgraded to 3.0 — Observing Weird Problems’ is closed to new replies.